commit 941eb27f145c98df9f44e487875209c085d5a7a6
Merge: 0ea40c8 06d7ef4
Author: Dave Foster <dave.foster@gmail.com>
Date:   Sun Nov 13 11:15:58 2016 -0500

    Merge pull request #81 from l3ib/1.6
    
    1.6

commit 06d7ef4fab54ac35cad073fc06ed8faa664df4fe
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Nov 13 10:54:13 2016 -0500

    Bump to 1.6, update AUTHORS

commit b129d41a422ea2b897d26fbaea80a41258e26309
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Oct 27 18:42:27 2016 -0400

    Update Makefile.am to deal with files it shouldn't care about

commit c7f97ae23f6f1ff098f1c7d4295fab9f3fd63688
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Oct 27 18:42:02 2016 -0400

    Update nitrogen.pot file

commit 0ea40c880c1afc8e21bdf75a2c5aa0807ac6d429
Merge: 665fca2 8619a2b
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 26 21:05:19 2016 -0400

    Merge branch 'master' of https://github.com/Vladimir-csp/nitrogen into Vladimir-csp-master

commit 665fca2c6b144e3dd59889e13d1859eaf2f647cd
Merge: 34df913 dc27d9c
Author: Dave Foster <dave.foster@gmail.com>
Date:   Wed Oct 26 21:04:26 2016 -0400

    Merge pull request #80 from l3ib/lxde
    
    LXDE (Pcmanfm) support (WIP)

commit dc27d9c52f18e781dc0993c1f6484dc9ac1d68a6
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 26 20:51:57 2016 -0400

    Setters can indicate if they need to have config saved
    
    In Nitrogen config only. Now, external setters like GNOME,
    Pcmanfm, etc don't save to nitrogen's config files.

commit adc1e406cc909ccc8755254042924a4a1389c966
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 26 20:30:21 2016 -0400

    Error messages for LXDE setter exception paths

commit 298430969fa680f02bce0381c49f30ec68e179cc
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 22 23:05:30 2016 -0400

    Pcmanfm needs to clean up after itself when changing from full to nonfull

commit ff93fcd2070442dfb14597260f5d008c0d498cba
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 22 22:49:04 2016 -0400

    Functional Pcmanfm backend setter directly changing config and restarting pcmanfm desktop process

commit f25024b504eb6f2f70d447f807e1583d1f6f4dfb
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 22 22:48:13 2016 -0400

    Move color_to_string from Config to Util

commit 027e09c0d1f63316eac4c86941a701a0946bcf0c
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 22 22:47:47 2016 -0400

    Add ArgParser ability to parse vector of strings

commit f5787b90cfaf6b60b9c1244cf8c761e1134485a7
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 22 12:55:12 2016 -0400

    Extract get_root_window utility function

commit 2c666ba490cd88a8cf82a3f2d6e7a2b7c8430f31
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 19 22:39:03 2016 -0400

    Add force setter option for LXDE/pcmanfm

commit 42a2b94c329bdf4531c24cb32f84f808e8b0ee36
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 19 22:32:59 2016 -0400

    Hook up LXDE/Pcmanfm background setter

commit 8619a2b32d951ae45122f2be3603c8f6e696db42
Author: Vladimir-csp <vladimir-csp@yandex.ru>
Date:   Thu May 12 23:55:36 2016 +0400

    whitespace fix

commit de501e7f39af1e7813e4bde872449611bc0afb00
Author: Vladimir-csp <vladimir-csp@yandex.ru>
Date:   Thu May 12 21:41:55 2016 +0400

    add SVG to filter
    
    fixes https://github.com/l3ib/nitrogen/issues/58

commit 34df91332cfff37875ee9f1372916b545fe902d5
Merge: 338005c 17f9d1f
Author: Dave Foster <dave.foster@gmail.com>
Date:   Tue Apr 12 10:12:42 2016 -0400

    Merge pull request #74 from Vladimir-csp/patch-1
    
    Add GenericName & stuff

commit 17f9d1f9a15b3f89f70ba75ff7ca5f3a2c38b2f7
Author: Vladimir-csp <vladimir-csp@yandex.ru>
Date:   Tue Apr 12 09:45:43 2016 +0400

    Wording tweak

commit 59b29ac8eaac7188f0b92a7294c672f6e3e55a75
Author: Vladimir-csp <vladimir-csp@yandex.ru>
Date:   Sat Mar 26 06:31:02 2016 +0400

    Add GenericName & stuff
    
    Added GenericName, DesktopSettings category and russian translation

commit 338005c4b1d2d1a7b4172f01e6eb2bdac51ec3e8
Merge: 1e079c3 153ab1c
Author: Dave Foster <dave.foster@gmail.com>
Date:   Thu Mar 17 09:45:35 2016 -0400

    Merge pull request #69 from dglava/bs_hr_sr_translation
    
    Added bs, hr and sr translations

commit 153ab1c0f1e4730ed2645b2242149165b6c2d98b
Author: dglava <dinomol@mail.com>
Date:   Thu Mar 17 10:21:30 2016 +0100

    Translated the Comment entries in the .desktop file

commit ea4394cb3244e841dfa0720c2f5c5f9d246ef15a
Author: dglava <dinomol@mail.com>
Date:   Thu Mar 17 09:01:19 2016 +0100

    Added bs, hr and sr translations

commit 1e079c3e408639950a5f907bf526a0109ab30e88
Merge: c967e8e 61fc6c7
Author: Dave Foster <dave.foster@gmail.com>
Date:   Wed Feb 3 10:08:52 2016 -0500

    Merge pull request #65 from rtlanceroad/build_with_c++11
    
    add warnings for packagers

commit 61fc6c7af0d3a730ee1d1f7247486cac2ea4fbee
Author: rtlanceroad <rtlanceroad@gmail.com>
Date:   Thu Feb 4 02:11:16 2016 +0800

    add warnings for packagers

commit c967e8e3972b99ed98dd430ad092c069343336ca
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jan 28 20:03:30 2016 -0500

    Add safety check for display selection on startup, updates #46
    
    Continues on work done in 532d5fd, wasn't carried out to X setter
    backend.

commit 07f42254dac72b7fabee93376aadc4a36fa00f75
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jan 28 13:05:44 2016 -0500

    WIP pcmanfm setter

commit 7ffb91c2a7504b29bf001c599999000fa3264f73
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jan 27 22:38:32 2016 -0500

    WIP LXDE support

commit 0a47492ecf41456a017815a030a5d9b163ffa1be
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jan 14 20:11:41 2016 -0500

    Update man page, fixes #20

commit 2109c85733a4fa9568be276fa0e937ae190a788e
Author: Dave Foster <dave@axiomdatascience.com>
Date:   Thu Dec 3 15:08:23 2015 -0500

    Change fullscreen key for Gnome setter, similar to Xinerama, fixes #53

commit a93664fe9f294e7454415ae36debdf61e4b6eeb7
Author: Dave Foster <dave@axiomdatascience.com>
Date:   Thu Dec 3 14:32:30 2015 -0500

    Mutter support, fixes #61

commit 532d5fd1225ebec0b2ccc55d9cff6d588414a9b8
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Nov 25 14:50:27 2015 -0500

    Always add full screen selection in Xinerama, fixes #59

commit 4a5699afae9f6e9ce1df428fdbec89d078750cfe
Merge: 72acc82 d2ca736
Author: Dave Foster <dave.foster@gmail.com>
Date:   Tue Nov 10 19:57:22 2015 -0500

    Merge pull request #45 from JamesWrigley/master
    
    Autoconf update

commit d2ca73608de6f06a8eccda4e78aee99170e6b9ef
Author: James Wrigley <james@puiterwijk.org>
Date:   Sat Oct 31 16:35:14 2015 +1300

    Updated .gitignore.

commit 72acc821395752ca415c45e8376deaa43c69f124
Merge: 06bea9a 1a796c4
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Oct 27 20:35:40 2015 -0400

    Merge branch 'master' into random
    
    Conflicts:
            src/NWindow.cc
            src/Thumbview.cc

commit 06bea9a5b3a6da8cfb1ed6e7b4d7c7e1af00ab70
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Oct 27 20:05:53 2015 -0400

    Add Ctrl+R Random mode for GUI

commit e36522c353094ce553b7d2f09efc79676218cc74
Author: James Wrigley <james@puiterwijk.org>
Date:   Fri Oct 23 22:36:10 2015 +1300

    Redo 30b50d1.

commit eb8d95ec4bb31b6108d99021d4dbc44484ccf86f
Merge: fb39d2b 1a796c4
Author: James Wrigley <james@puiterwijk.org>
Date:   Fri Oct 23 22:25:13 2015 +1300

    Merge branch 'master' of https://github.com/l3ib/nitrogen

commit 1a796c41a8308e01faf9ba25ab8d1a56743e17bf
Merge: b596809 f31b195
Author: Dave Foster <dave.foster@gmail.com>
Date:   Thu Jul 16 08:51:52 2015 -0400

    Merge pull request #56 from jubalh/master
    
    Remove trailing whitespaces

commit f31b195c8e48b9f8fab7f8572ea34acdda171800
Author: Michael Vetter <mvetter@suse.com>
Date:   Thu Jul 16 10:43:08 2015 +0200

    Remove trailing whitespaces

commit b596809a2cf1655ed26a3696696c9f76ffcb12b4
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jun 16 18:47:31 2015 -0400

    Changed Xinerama check, don't try to set heads that don't exist, fixes #55

commit 8ec298e8f6e3c48f0684cb04f7b62988d2d74a9a
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Jun 15 16:15:20 2015 -0400

    WIP Random handling in GUI

commit 58bfd7da2862a5bb044218d060ac9b8edfd00a6f
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jun 14 23:25:04 2015 -0400

    Error checking to random selector

commit 71f314aa97f055f0d0e7f429e8f92cd523f9563d
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jun 14 23:20:03 2015 -0400

    Working command line --random

commit 846e083889801f0a97b5e3685c1bc5545f9670c1
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jun 14 21:47:36 2015 -0400

    Move file/dir and image detection code to Utils

commit d7c2e0144540350e29b5df1a7a1df8fbc3db0c04
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jun 14 21:09:56 2015 -0400

    WIP random functionality

commit 54ededd80058c4f847c8c5fc53e78b1a92f95236
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jun 14 09:33:39 2015 -0400

    Fix FileError on startup if no config exists

commit 1a712eb02d88b1458a0ccb373b3b3925c2121d43
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Apr 22 21:21:14 2015 -0400

    Updated appdata screenshot locations

commit 78b8a6fd4acbf80584bef3f5494cceebcca0c2f3
Merge: eb070fd b7cbac7
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Apr 22 21:14:03 2015 -0400

    Merge branch 'appdata' of https://github.com/JamesWrigley/nitrogen into JamesWrigley-appdata

commit eb070fd28875c4ecbd441d7ca0bc548b6ddf2d69
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Nov 14 11:59:21 2014 -0500

    Add mailmap file

commit 9b91232982d89c88ad7c878463769f7426c751d1
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Apr 1 22:00:17 2015 -0400

    Remove use of Config::check_dir where not needed

commit 55c384427added98fb65e7e85eb92fe7777ebbf7
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Apr 1 21:58:34 2015 -0400

    Normalize config file access using XDG rules, fixes #41

commit 31ed5693c23b2c5c16859d62c421c171dda778ba
Author: Unit 193 <unit193@ubuntu.com>
Date:   Wed Apr 1 21:08:09 2015 -0400

    Use XDG system dirs

commit 5de5020135b245461a17ab851acf327c330446fb
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Mar 21 12:00:51 2015 -0400

    Add Nemo/Cinnamon desktop support (untested), updates #52

commit de647b923b4ed158a58488a722ca85c5c6dd2f16
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Mar 21 11:15:07 2015 -0400

    Improve modern Nautilus detection, updates #52
    
    Nautilus no longer gives us a hint on the root window atoms, so a manual search is performed.  My Ubuntu 14.04 does not run "Nemo" as described in other places.

commit 1983232cc2a9bdad0d63c7fbc420ef9349010de0
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Mar 13 22:26:36 2015 -0400

    Enable icon view with captions in preferences, fixes #15

commit 7b077addc9e8a70493da34a06652c9b1cb5a5d08
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Mar 13 22:08:07 2015 -0400

    View reacts to sort mode being changed in prefs

commit 34c715dfe7da702c939df5e22aa74c3a2fd69a34
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Mar 13 21:59:44 2015 -0400

     Pref window recurse toggle adjusts view on return

commit 0c042f611cffb1665d38986a3df48316b01c79a5
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Mar 13 21:37:23 2015 -0400

    Rearrange recurse button, fix size

commit 748ca00257971c83e87c97b0fa8153683824197e
Merge: 53135f0 6d322a3
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Mar 13 21:09:33 2015 -0400

    Merge branch 'master' of https://github.com/easysid/nitrogen into easysid-master

commit 53135f05b973dad2baaa618a539fe5d540ba05a0
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 11 22:49:44 2014 -0400

    Copy initial pixmap, fixes individual screen in Xinerama issue

commit 485616cb6e573032c403bb3138bf9af5c712ebb9
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 11 16:46:05 2014 -0400

    Initial pixmaps saved per display

commit b7cbac750c559ce25abe0887780398aa299d2aa1
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Tue Jun 3 20:37:32 2014 +1200

    Added appdata file.

commit fb39d2b4343508c7cdde5765745d1d7c0817bf0c
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Tue Apr 22 15:10:51 2014 +1200

    Fixed compile issue on systems that do not have a gettext version < 0.18.3, also fixed some autoconf warnings, and updated the AUTHORS file.

commit 95412c106c68761ffd20c6f0218c34e1a340101d
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Sun Mar 2 07:23:17 2014 +1300

    Updated configure.ac and replaced the bootstrap file with autoreconf in the README

commit 6d322a34476390948277c6d5d2c10d0188958881
Author: easysid <easysid+github@gmail.com>
Date:   Tue Feb 25 15:56:31 2014 +0530

    Add sort and recurse options to preferences

commit 3df1f7a8a3ae79f02861039603fa5cae0ab78b2d
Author: easysid <easysid+github@gmail.com>
Date:   Tue Feb 25 15:45:10 2014 +0530

    Add sort option in perference window

commit 049b65767150a5a4dba816071d4629dbe201030c
Author: easysid <easysid+github@gmail.com>
Date:   Tue Feb 25 15:39:42 2014 +0530

    Add thumbnail sort option.

commit b99ff39bf37dfc30e39d251418466dc6a58dfa3c
Author: easysid <easysid+github@gmail.com>
Date:   Tue Feb 25 15:35:04 2014 +0530

    Add sort and recurse options to cfg
    
    Entries in config.h for config.cc and main.cc

commit d908d2a831d1037d3fb546b121d999ea88747fee
Author: easysid <easysid+github@gmail.com>
Date:   Tue Feb 25 15:29:13 2014 +0530

    Add sort and recurse options to cfg

commit fb22ce45c91752085f15a5d676b4a8e2c88a9fc0
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Sun Feb 9 07:29:13 2014 +1300

    Minor fix for the desktop file

commit 19c022fb2c97ec7e7b7333763b7a173eef574aa4
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Sat Feb 8 16:28:44 2014 +1300

    Fixed a problem that would stop the .desktop file from installing properly

commit bbd37142eba248932ceacb3dd1bd32e8f1d6d861
Merge: f2ba4b6 41f9690
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Fri Jan 31 10:47:14 2014 +1300

    Merge branch 'master' of https://github.com/JamesWrigley/nitrogen

commit f2ba4b6c951c0f9519ab6c214f3a90736b7f8411
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Fri Jan 31 10:46:27 2014 +1300

    Fix for compile issue on Fedora 20

commit 41f9690dce6818ebecd87270fe0746b411a4c7b3
Author: JamesNZ <jamesnz@fedoraproject.org>
Date:   Sat Dec 21 08:45:17 2013 +1300

    Modified bootstrap command

commit 6983b7c937df7282a004fdee99ef4c5f7b5c7da5
Author: JamesNZ <jamesnz@fedoraproject.org>
Date:   Fri Dec 20 10:44:48 2013 +1300

    Deleted unnecessary folder

commit b7c9208493f26108efc9edcbe08aeb75ae855670
Author: JamesNZ <jamesnz@fedoraproject.org>
Date:   Thu Dec 19 08:36:41 2013 +1300

    Finished updating autoconf files (I think)

commit 76e9b84bf769ef4edf5b6269448e5e41626f0968
Author: James Wrigley <jwrigley7@gmail.com>
Date:   Mon Dec 16 15:38:21 2013 +1300

    Started updating files

commit c693745e0d2cadda2d40f5adbaee0276dcc814a5
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Oct 22 22:58:38 2013 -0400

    Disable pixmap saving for non-interactive modes

commit ee39e7059565d291398307044352d25d24401ac0
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Oct 22 22:44:06 2013 -0400

    Added ability to restore bg set before nitrogen ran
    
    NOTE: this only works with a single display like a Xinerama full screen
    
    On first background set inside of nitrogen, the original pixmap set is saved
    instead of being destroyed.  At program exit, it is either restored or
    destroyed as appropriate.
    
    - Fixes keyboard shortcuts not triggering save prompt
    - Factored out several pieces of SetBG functionality into helper methods

commit 366330c4a8b1c3cc59666dda021e34c982cd66d9
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 19 21:44:29 2013 -0400

    Fix method rename from setter refactor

commit d4e6eb7c79545ae118bfe7768c4b02f1760b1803
Merge: a5a497d 319421e
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Oct 19 21:39:57 2013 -0400

    Merge branch 'better_dialog' of https://github.com/jameh/nitrogen into jameh-better_dialog

commit a5a497d61b27d2a9c302731da6c35556bc98c71f
Merge: 2c9e273 42486df
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Sep 26 21:24:14 2013 -0400

    Merge branch 'setter_refactor'

commit 319421eddea317327befb7654a4b2def8e4a63a4
Author: jameh <jamie.alban@gmail.com>
Date:   Sun Jul 21 02:15:56 2013 -0400

    On button press "No" in exit dialog, reset background to that stored in the configuration file.

commit 86ea08b5f7ad0363e942c89f137352ad0a1c84dd
Author: jameh <jamie.alban@gmail.com>
Date:   Sat Jul 20 23:14:34 2013 -0400

    Change exit dialog to ask for confirmation to apply previewed background.

commit 2c9e273a09ee4f39efcfdd3b0cbf616e30643e12
Author: Dave Foster <dave.foster@gmail.com>
Date:   Sun Jun 16 23:33:29 2013 -0300

    Update AUTHORS

commit 3c3b032e022c7c894ea9327fe5a2bad77b774a65
Merge: 1b0f4e9 a8d7199
Author: Dave Foster <dave.foster@gmail.com>
Date:   Sun Jun 16 19:32:04 2013 -0700

    Merge pull request #30 from EvanPurkhiser/fixup/xdg-thumbnails-dir
    
    Follow the Freedesktop spec for thumbnails location

commit a8d719964282652fb8e0a53596e4f5642dbdf3f8
Author: Evan Purkhiser <evanpurkhiser@gmail.com>
Date:   Sun Jun 16 19:11:38 2013 -0400

    Follow the Freedesktop spec for thumbnail location
    
    According to the Freedesktop specifications for thumbnails [1], the
    thumbnails directory should be stored in $XDG_CACHE_HOME/thumbnails, not
    in $HOME/.thumbnails. This fixes that
    
    [1]: http://specifications.freedesktop.org/thumbnail-spec/thumbnail-spec-latest.html#DIRECTORY

commit 1b0f4e97f7b88462f7fc8f914ff9013fd1180b0e
Author: Dave Foster <dave.foster@gmail.com>
Date:   Sat May 18 19:33:51 2013 -0300

    Update AUTHORS

commit 227ea7a82f698807df7ea038f6a0fd4febb77b75
Author: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Date:   Sat May 18 11:22:49 2013 -0400

    Add a desktop file (Closes: #28).

commit 42486dfa2136811473d20bfe970d96e5225d11cf
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Mar 27 00:01:11 2013 -0400

    Use bgsetter in main window to determine UI for select boxes

commit 721621b811be8369f9db6d4d3a15173154dc4689
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Mar 25 22:11:06 2013 -0400

    Modernize gnome setter to use GSettings

commit 66e13bd826dddff3061c7b9024ca48eb21856343
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Mar 25 22:10:08 2013 -0400

    Fix comparisons for --force-setter argument

commit 60cde66466ecfce11427efa56b278e2e160dde0a
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Mar 24 20:19:33 2013 -0400

    Determine which setter to use at runtime
    
    This can be overridden by using --force-setter on the command line
    to be one of "xwindows", "xinerama", "gnome".

commit 608139335a0f33c71be95ceb91f3fd6709bb750a
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Mar 24 19:25:56 2013 -0400

    Fix compiler/runtime bugs

commit 357d5be62be36a3f3209b5f18d294329088f9252
Merge: 1aa19f6 7a20913
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Mar 24 18:30:45 2013 -0400

    Merge remote-tracking branch 'mbp/setter_refactor' into setter_refactor
    
    Conflicts:
            src/SetBG.h

commit 7a20913930120d814b96e55a697ddd33462cb8bb
Author: Dave Foster <dfoster@asascience.com>
Date:   Tue Mar 12 17:02:49 2013 -0400

    Removed long set_bg overrides

commit b68fecad7168d9096c9017b905d55395582493b5
Author: Dave Foster <dfoster@asascience.com>
Date:   Tue Mar 12 16:59:57 2013 -0400

    Removed unused bits from restore refactor

commit 17e6ccdc35c32c6faadb07a5d9f6141622546c60
Author: Dave Foster <dfoster@asascience.com>
Date:   Tue Mar 12 16:58:19 2013 -0400

    WIP: finished refactor of setbg into base w overrides

commit 1aa19f614925e17e14142ae9f2b173132e409866
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Feb 20 11:41:09 2013 -0500

    Remove unused static setbg methods

commit 727bb94b7a6344cef5e9788305f939879fe2691a
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Feb 20 11:36:35 2013 -0500

    Remove unneeded Util::restore_saved_bgs

commit 9c51d1fcfeb4e80b31a890de1b5a9ad623e1d07b
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Feb 20 11:19:13 2013 -0500

    Fixed set_bg_once

commit c74ba11d1e71b340041b0a33a96c28b483050900
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Feb 19 23:16:31 2013 -0500

    WIP major refactor of SetBG statics into factory based approach

commit b755802e5eba1f346b38a07038d626e97fd30878
Merge: 692fdf7 b794e54
Author: Dave Foster <dave.foster@gmail.com>
Date:   Sun Jan 13 10:37:03 2013 -0800

    Merge pull request #24 from vmax/russian-translation
    
    Russian translation for nitrogen

commit b794e54fd4ed0c6540d723834bc0d6db9590e36f
Author: Max Vorob'jov <vmax0770@gmail.com>
Date:   Sun Jan 6 15:36:57 2013 +0400

    Done Russian translation for nitrogen

commit 692fdf759979cac3774394f5dfa40e37b1fcc5b9
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Aug 6 22:53:02 2012 -0400

    Remove xinerama compile flags where not appropriate for --head support

commit 4e5951e48de591ec0a85669e1d2615cd64b81750
Author: Julian Knauer <jpk@goatpr0n.de>
Date:   Tue Jul 3 17:31:20 2012 +0200

    Parameter --head=... now works together with --set-* switches
    
    The parameter --head was ingorned when using the --set-* switches. It is now
    possible to select a xinerama head by using the --head parameter.

commit 089ddd6a82b2764d237de9991506b33a58ae8f1c
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Apr 24 21:23:34 2012 -0400

    Update AUTHORS

commit f1b48ef0ce0a29123f873e7eb8f409ea7218f4a1
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Apr 24 20:57:06 2012 -0400

    Altered help text slightly

commit 8bbdfaf80d231595e363bb51d75562b487bce6f0
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Apr 24 20:53:59 2012 -0400

    --head should work with multihead as well

commit a2cc2608f7fdcef60457566062554f501bd21a0d
Author: Julian Knauer <jpk@goatpr0n.de>
Date:   Fri Apr 20 17:24:20 2012 +0200

    Select xinerama display with --head=<screen> parameter

commit 5a07a436467a6206ec536a46713d158b5c791ef7
Author: Julian Knauer <jpk@goatpr0n.de>
Date:   Fri Apr 20 17:23:08 2012 +0200

    Added get_intvalue to argparser

commit 1fb31d1423c734b2508796154ed8af067cf079f2
Author: Julian Knauer <jpk@goatpr0n.de>
Date:   Fri Apr 20 16:38:32 2012 +0200

    Indention level fixed (shift width = 4)

commit d66f9af886692c946b4144271d8cca23483ba489
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Mar 28 22:32:42 2012 -0400

    Added keyboard shortcuts for quitting, fixes #10

commit 30b50d1e3d77966cd29e27c12dbe8f12eff2175d
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Mar 28 21:28:33 2012 -0400

    Explicitly check for X11 lib in configure.ac, possibly fixes #12

commit 08ade76e4e9a93961fbc62eb3d84dd62dd2c60e0
Author: Dave Foster <daf@minuslab.net>
Date:   Mon May 30 13:05:27 2011 -0400

    String template file was updated

commit 43224a776adb3a41b44e99c200ad8d9bc009e3ff
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Apr 19 21:55:42 2011 -0400

    Bumped to 1.5.2

commit 69db00ca93eb2e58b5ec3264f8c7808b0ed63732
Author: Cloudef <mailRoxas@gmail.com>
Date:   Tue Apr 19 21:50:22 2011 -0400

    Fixed resource leak in Xinerama set mode

commit 309f967e0979847dcc97740c1c44e95c4d6112d9
Author: Siiseli Koulutus <tuki@siiseli.fi>
Date:   Thu Aug 26 09:09:09 2010 -0400

    Finnish translation

commit 7602d9da14b09c6dcc05d36925824fe049d24ca2
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Aug 14 10:33:04 2010 -0400

    Try compiling next time. Not only did the exception not compile it didn't do anything.

commit f3f02116c004e8ae19a53c7c193460ae80245c17
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Aug 12 21:18:45 2010 -0400

    Bug fix for when Nautilus crashes.

commit 0aad756dba40a0924a5129911332f585f2a658b5
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Aug 12 14:21:43 2010 -0400

    add a git ignore, finally

commit d55d2d3380c04e4f362ea008af6d16a47eb908c6
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Aug 4 16:49:02 2010 -0400

    Updated AUTHORS file

commit d215fb48650b00981acf358dbae161e898102ada
Author: Евдокимов Сергей <usaf@rambler.ru>
Date:   Wed Aug 4 16:47:11 2010 -0400

    Set GNOME colors too

commit 5e7c25fac83ba0b29076ad610089a15a318cb933
Author: Евдокимов Сергей <usaf@rambler.ru>
Date:   Wed Aug 4 16:43:17 2010 -0400

    Safer substring in add_file

commit 32572e0bb68eb3d2528422746d7483eb814d0625
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Jun 28 19:18:20 2010 -0400

    speed up thumbnail generation

commit 162ea2d092327649ee2aafefb48511c8dd6ed60b
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 11 07:19:28 2010 -0500

    Fixed issue with --disable-inotify

commit 1d973f73a1e95ac8d2c2dfa1901957a28cd16a75
Merge: 5e9a652 8c1ddfd
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 4 18:45:19 2010 +0000

    Merge branch 'master' of l3ib.org:/var/www/code.l3ib.org/git/nitrogen

commit 5e9a652a886fed235b7b3b1d42d1fcf38b2abf32
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 4 18:43:09 2010 +0000

    1.5.1

commit 8c1ddfd798aa7a389dcce15d1ea61c4d5bea5bb9
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 4 18:43:09 2010 +0000

    1.5.1

commit b4781c082ee4d96ad35e1ac4e59877ed4837a42c
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 4 15:29:58 2010 +0000

    Silly README update

commit ce8d895e45042c1a0ffbc2a47a111e1354d7ca7b
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 4 15:24:09 2010 +0000

    Lingering .POT changes

commit ac3919fc60a238c1b1714cffa36c30c470bc40ad
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 4 15:21:56 2010 +0000

    Checking data before checking return value. Whoops. Fixes #27

commit 5a7de91fbbe88585d8fa831116fc5909f45981a6
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jan 22 13:59:57 2010 +0000

    Bump to 1.5

commit 3418beb8c767e68ebc7bd658d9d7e2b6b99a0dd5
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jan 22 13:58:28 2010 +0000

    Better error handling for image-loading load failure.

commit 0798e94831627385ff09eb8ec05d779c722592f8
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jan 22 12:13:21 2010 +0000

    1.5rc, po changes

commit 90868811fafec44aa252542e6846c4cef2bdca56
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Dec 9 15:26:38 2009 +0000

    Lame update of authors file.

commit d92528a4f09f8585a577512cbbab44f031dfc434
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Dec 9 15:25:28 2009 +0000

    Craig agreed to relicense icons for more freedom.

commit a361d8b08117c5bffd0e81d0dab965d550e57400
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 28 15:20:08 2009 +0000

    Lame update of the man page.

commit f41a7fb8ede52209883930f7bc15d1e642dff661
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 28 14:39:12 2009 +0000

    --set-zoom-fill option on command line.

commit 25520994b519f36e77c3b3c36331a505a4ae7dcf
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 14 12:37:18 2009 +0000

    Enums were out of order.

commit c9a3d20c5da747720eb67a3d8d245aa24dd7b3cb
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Oct 14 11:41:50 2009 +0000

    Updated zoomfill.

commit 91f65f7e382448c0ed3ad1f121104244f05b6e32
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Mon Feb 9 16:49:13 2009 -0500

    Fixed a serious bug with zoomed fill mode.

commit 6bcb103174554dfe1139f93307fb0ce5d8600162
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Sun Feb 8 21:43:49 2009 -0500

    Implement "Zoomed Fill" mode which resizes the image to take up the entire screen.

commit 4082fa1ace20932742820d5c9058a769abcd3c31
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Oct 13 23:09:31 2009 +0000

    Fixing command line set modes, added --set-color command line.
    
    Based on a patch by Timothy Ball <timball@tux.org>

commit 0c5db10260965ddd5e650081b416a5d91523966e
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Oct 13 22:56:48 2009 +0000

    Better spawn_async call for nautilus.

commit 21ecff8bb0a2693184e7c3a382842e141107934e
Author: none <npppttt@gmail.com>
Date:   Tue Oct 13 22:02:25 2009 +0000

    Patch to fix xinerama bug.
    
     Author:    none <npppttt@gmail.com>

commit 33345bf090e9151b65711774bff2bc118bffedc3
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jul 24 14:14:29 2009 +0000

    Slight changes for unknown.

commit 13abd635bda73db894b12759c099af417536b17f
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jul 24 13:58:38 2009 +0000

    Better detection for fake root apps (Nautilus, Xfdesktop)

commit f8c70ba1d2ea38f48a55be5da018a6b6b4d5a072
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 22 15:39:32 2009 +0000

    Cheapo yes/no version of dirty.

commit 49eb21dd4ca0a17ff3563706207c6ac5cff3b729
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Jul 13 11:45:24 2009 +0000

    Start of dirty message.

commit cda9d3d68c56cfca13cec4d6af89eea2153e3192
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 14 15:14:17 2009 +0000

    Turned select into a timeout, early attempt to get warp to selected bg
    at start to work better.

commit 92cb46d6a9b2e3cddd11c3a321ee653f75ceab30
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 14 13:41:36 2009 +0000

    Better way to select initial image for both view modes.

commit 27bb2cd7694c364635ab5a4ad01061fa005855a8
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jun 24 09:58:25 2009 -0400

    Something goofed.

commit ff66f5fb04c85ea5001b84ff47a87c6b8b857416
Merge: 8f66eaa a153d41
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jun 24 09:11:50 2009 -0400

    Merge branch 'prefs'

commit 8f66eaa9df612d6842187424fb270bd51fac600c
Merge: 61fd6f5 1c8670a
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jun 24 09:11:32 2009 -0400

    Merge branch 'master' of l3ib.org:/var/www/code.l3ib.org/git/nitrogen

commit a153d413b935b417addc683030580ee5b3d04c70
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Jun 22 10:53:23 2009 -0400

    Prefs window improvements - works on cloned Config, unloads/reloads
    dirs.

commit 42b9987a0ad21aabf060fc900064be1ab875f5fc
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Jun 20 14:49:03 2009 -0400

    Fixed silly bugs with iconview.

commit 61fd6f52effb0ee3a3f21ade1783eca983f2788b
Merge: 05ea3c8 40cc025
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Apr 27 11:53:10 2009 -0400

    Merge branch 'threadfix'

commit 40cc025a7f06337a1230abcb8e0c424eb29e7d4e
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Apr 27 11:51:43 2009 -0400

    Safer thread system support.

commit 1c8670ad9c788cfc2eca92f131c026c4496cdba7
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Wed Apr 8 21:01:34 2009 -0400

    don't include png headers. this fixes a bug due to new libpng tricks.

commit 9416ca49b001d10c75bd0b9f476e781ab09519f3
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Feb 27 10:10:53 2009 -0500

    Prevent duplicate images from being loaded.

commit ef4a5c351a1f199ee53702a798d23d158a8effc9
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 26 16:40:17 2009 -0500

    Delete dir in prefs dialog works.

commit e7e3f5211db47c8aee8766546fbba4ee9a2ce090
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 26 15:09:00 2009 -0500

    Handler for add dir on the prefs dialog.

commit 0cb1788882af7650df51496a755823241911e3b2
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Feb 5 16:10:17 2009 -0500

    Directories coming from config file!

commit bfe5efe5e7a3429e5168f45a57e2d6fffe9e42fa
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jan 30 23:00:03 2009 -0500

    First crack at a prefs dialog.

commit 820d083610692f106d50d6d6c66672ee8261c971
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Jan 24 16:07:18 2009 -0500

    Icon captions from config file.

commit e8a0b72aa3c8953c9ba21c36af4c2a07f2162c65
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Jan 24 15:11:08 2009 -0500

    Respects config file's "view" parameter.

commit b69e6911efcd04c50b9400809ff1e54bca9e3b04
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Jan 17 20:27:36 2009 -0500

    Added configuration params, saves/restores cfg file, including position/size of the window.

commit 05ea3c881f4749fc4070be39dc07aaa7c0e83a2b
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Mar 5 21:26:09 2009 -0500

    Fixed a bad bug with string formatting.

commit 41c4d168bb1a12ef2a216a68f29a731040e15403
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Feb 27 10:18:31 2009 -0500

    Remove close on apply. People complained.

commit e8a31eae0a96936fb6e1c48423dab13ab61244dc
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jan 15 15:27:45 2009 -0500

    Default size.

commit e0cddb9a8a8d4419643035f1ff10d6cd1241d84d
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Dec 10 14:30:11 2008 -0500

    Added view modes and ability to switch them.

commit b99ebafbbe142d7dbad1608dbaf8110a2cd72c9c
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Dec 9 23:16:39 2008 -0500

    Iconview appears to be working!

commit b7f112b080db123bca26d09541096074495b3711
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Oct 26 00:12:05 2008 -0400

    Icon view partly done.

commit 7149840f39b759d6c35d21acf75f1a5a064042cc
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Aug 5 08:55:01 2008 -0400

    Better policy for horizontal scrolling (allows resizing back).

commit f25401e8da63aaae8334ebb91bc2cd7787875c82
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Aug 4 14:43:13 2008 -0400

    Better default size, use markup instead of text.

commit 13f636fc66291cdc37e5ca29488a337ea96b00a1
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Aug 4 14:39:33 2008 -0400

    Iconview widget instead of tree view.

commit 0988e7d3f799e08e0f212f4063d2d12a5d37bd3e
Author: Christian Ruppert <spooky85@gmail.com>
Date:   Mon Dec 8 22:55:59 2008 -0500

    Fix from gentoo bugzilla for makefile stuff.

commit 83fef5a2da652a471cbed730ab6360efda01d253
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jul 31 21:52:32 2008 -0400

    Template files updated for 1.4.

commit aa83f8d951c0b44d873a0b9880a0361d3682e9b1
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 30 20:03:33 2008 -0400

    Changelog, most likely 1.4.

commit 0ccc84ad4dfc694659e9e1bb251584bdf9b7149b
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 30 19:46:44 2008 -0400

    Make default selections on program start work better for xinerama.

commit 69c1750dc41ea3051e2a4abb3f653be3536d9ae1
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 30 15:23:42 2008 -0400

    Better showing of currently set text.

commit 40804560fa72d53834c4466eb3c82b688d970089
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 30 10:28:06 2008 -0400

    First try at showing users what is currently saved in text.

commit cafd66941f4c7a020c73c26bd7383c6bcf522fb9
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 29 14:25:01 2008 -0400

    Better rounded tree model record, added stub for currently set bg display.

commit 90ee6b7c31468b9b240ffdce54f2f6e4345f1608
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 29 09:01:49 2008 -0400

    Modified the apply button logic to only close when not multiheaded, or the full xin mode is selected.

commit db7338733205016856ef3f34ff3991c2dfd07aa8
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 29 08:53:46 2008 -0400

    Removed excess program_log (used for debugging.)

commit 680127076a15d34b15e89a7d6ad8cb77840b04cf
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 29 00:09:28 2008 -0400

    Ready for 1.4.

commit 7053717cb59ad2ef762caf4f0db578fa31570ce3
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Jul 29 00:08:50 2008 -0400

    Fix display related bugs, fixes Xinerama restore issue.

commit ae164b1d46c594aa27e98bfa24e60003adca1995
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jul 27 18:27:04 2008 -0400

    Even more program log in xinerama routine.

commit f593b916ae0d669731057ef8442149bb2b70c613
Author: Dave Foster <daf@minuslab.net>
Date:   Sun Jul 27 18:17:12 2008 -0400

    Modified program_log again, added a ton more diagnostics to xinerama routine.
    
    --enable-debug will now make program_log print to stdout. It also reenabled the
    access() style functionality for performance testing on release builds.

commit 3d67fcbce565d27ba221f74f02c0140a8b35eaff
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jul 25 15:59:57 2008 -0400

    Make enable-debug define DEBUG, and program_log now respects that.

commit c1884092bf49cb1448ed278e480d37443268fee6
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Jul 25 15:59:46 2008 -0400

    Free old pixmaps so we don't leak on Xinerama.

commit f36e3b59f908139cdb9ed38e7cfe0c0983017d23
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Thu Jul 24 20:53:42 2008 -0400

    make sure the main window disappears when the program exits.

commit 825bad94416e214890afd3a0ad1b7456686eafb1
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Thu Jul 24 20:49:26 2008 -0400

    fix a possible string-related bounds checking issue.

commit 0b1f86c1fdbc731caf7554ae4ca2a58bd5c41d84
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Thu Jul 24 20:35:21 2008 -0400

    fix a xinerama screen size bug -- thanks Helge W. Larsen!

commit 158134cf4f501221f3e5ec45d8431f88016ebf7c
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jul 24 10:24:22 2008 -0400

    Changelog update.

commit a5e6749402b7aea91916da59be9c11f18544d4a5
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Jul 24 09:58:33 2008 -0400

    Removed "save" checkbox, apply button now saves/closes, double clicking only previews.

commit 2b3f081d8d7c45c9f4a8d25511a2c11951544620
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 23 22:02:58 2008 -0400

    Working "Automatic" set mode.

commit fad5bae926ad288f363e34171903206335e9b13c
Merge: 3c92bc2 f72ff30
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 23 21:48:55 2008 -0400

    Merge branch 'master' of l3ib.org:/var/www/code.l3ib.org/git/nitrogen

commit f72ff30f77488ed3931481a5100dc0ebc1374ceb
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Wed Jul 23 21:38:34 2008 -0400

    add a --enable-debug option to the configure script.

commit 3c92bc2acab98dfb2e99b6b860782be80a22f1a9
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 23 13:41:42 2008 -0400

    Renamed best-fit to zoomed.

commit 16ac3d77b14423a04360870ee8e0693ece6bea15
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Jul 23 13:04:58 2008 -0400

    Fixed potential leak with property retrieval.

commit 745b9d76c462eac8646d065052b9ef21fd3d06e7
Author: Dave Foster <daf@minuslab.net>
Date:   Mon May 12 22:02:32 2008 -0400

    1.3 ready.

commit 09e9e56b7f39da389f31905f15247b70fec74046
Author: Dave Foster <daf@minuslab.net>
Date:   Mon May 12 21:58:23 2008 -0400

    Do not recurse when using "." for dir.  This method of selecting dirs is going away anyway.

commit fc6d7038178b2beccde0df9127eb06d732938a98
Author: Dave Foster <daf@minuslab.net>
Date:   Mon May 5 15:43:56 2008 -0400

    Removed cruft from inotify header removal.

commit da881467d271343eab70cf260cfce4380a48714c
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Mon May 5 11:41:19 2008 -0400

    remove included inotify headers - they come with glibc

commit 9c602ce8e41b960e5e95dcb48e53c3f3b0c470f3
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Apr 25 13:20:22 2008 -0400

    Translation bases?

commit 6d0fabacb7e729d0686c5406c85c111dba283a6e
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Apr 25 10:02:52 2008 -0400

    Preparing an rc for 1.3

commit 014e7ee03c64d6b1bb3895497283856cf2be7b72
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Apr 25 09:45:17 2008 -0400

    Converted spaces to tabs again (for now).

commit 3812806841566bfe70fae649e71105aa8c7324c6
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Apr 25 09:37:47 2008 -0400

    Made loader a thread again instead of idle function.

commit 4b02a90f84c9da99a90ed26d3799e1e7c520ede0
Author: Dave Foster <daf@minuslab.net>
Date:   Fri Apr 25 07:51:47 2008 -0400

    Forgot to update both fixed sizes!

commit cac289a0caae63e2bf467cf8f90b928287fefced
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Apr 24 22:26:16 2008 -0400

    Revert "fix thumbnail size issues"
    
    This reverts commit 29ef0cc90e027c9eb8e5d5f7d1f287a8561bc20e.

commit 29ef0cc90e027c9eb8e5d5f7d1f287a8561bc20e
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Thu Apr 24 18:01:43 2008 -0400

    fix thumbnail size issues

commit 88a68eb1af26df3f445cb3f8b2cc053b4231ad2e
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Apr 24 17:52:14 2008 -0400

    Trying to get the images in the right size.

commit e610542dfb60f5961070ee4441758cf93d27e894
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Apr 24 15:52:56 2008 -0400

    Removed dead code in comments.

commit edd2a79f05b85cb8ba4b143d60570dd5bddbd7eb
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Apr 24 15:50:07 2008 -0400

    Don't load thumbnails more than once.

commit 9923205c72e59ab86ff2833994cd5b355dedaebe
Author: Dave Foster <daf@minuslab.net>
Date:   Thu Apr 24 14:19:15 2008 -0400

    Lazy loading seemingly working!

commit 52f4d0da0e6d140557b666a596ba1d987dce60ce
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Apr 23 21:40:33 2008 -0400

    Custom model started.

commit 5b9ff395f3c6f51eaf2a6f1f9308df8257b983d3
Author: Dave Foster <daf@minuslab.net>
Date:   Wed Apr 23 21:23:05 2008 -0400

    Working fixed height mode.

commit 320c136ddf3e8f4f86795d671c19954a45fbbd69
Author: Dave Foster <daf@minuslab.net>
Date:   Sat Jan 26 15:19:04 2008 -0500

    1.2

commit 0f43fd6df7438e6915fff9065f42ed710fc45df4
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Fri Dec 21 20:07:41 2007 -0500

    Fix a crash when the Xinerama extension is enabled but not active.

commit ddf9258e1bd77674582dc71e7a487109102a73f0
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Dec 18 20:42:26 2007 -0500

    Oops.

commit 99805329c5034e7473003800181c2a96ed3cb8f0
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Dec 18 20:35:58 2007 -0500

    Fixed autotools problem, updated for 1.1.

commit 7d38c904d7895a6918a9c6b1bc2ba6234cc21cf7
Merge: 1f7c581 28066d2
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Dec 18 20:12:55 2007 -0500

    Merge branch 'master' of git://code.l3ib.org/nitrogen

commit 1f7c581e5f99bfd9bdb9fda04da186925b2dd525
Author: Dave Foster <daf@minuslab.net>
Date:   Tue Dec 18 20:12:32 2007 -0500

    Possible fix for all those crashes people are reporting.

commit 28066d279918715601b8d53b704903e61cb81a52
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Wed Dec 5 18:45:57 2007 -0500

    Fix all icon theme errors for good, hopefully.

commit 3b02f46d893d4dcac8ea1742c2a3b697c13e2074
Author: Dave Foster <daf@minuslab.net>
Date:   Mon Nov 12 18:17:22 2007 -0500

    Updated links and irc info.

commit abc855e86637dbb5de3015596155dee78467d752
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Fri Aug 10 13:48:30 2007 -0400

    Let's try that again.

commit a5e5380f987af63bfe76874d6977917c263c431c
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Fri Aug 10 13:44:16 2007 -0400

    Fixed false-positive in xinerama detection.

commit cd4ebcf1dfc027775718ba4c7f74dd8a8276a987
Author: Javeed Shaikh <syscrash2k@gmail.com>
Date:   Sun Aug 5 17:00:39 2007 -0400

    test commit for git hook script.

commit a07534131108c5a92be78f47bd4b2ffc5515694c
Author: daf <daf>
Date:   Wed Jun 27 03:15:43 2007 +0000

    Dirty hack to fix xinerama --restore problem

commit 6a30cb16b58406bb105b1d79b3d5d5dcdbd9b0da
Author: daf <daf>
Date:   Wed May 30 03:07:49 2007 +0000

    oops

commit fecfb84b81b7306f335d652318b4d95fa18187fd
Author: daf <daf>
Date:   Wed May 30 03:07:15 2007 +0000

    Added default directory (working dir)

commit 230606a8fb7fe6cac49ee1682f3c124b3ab40b81
Author: daf <daf>
Date:   Wed May 30 02:54:35 2007 +0000

    added default icon

commit 53f3b4c2e7535b7567b3330a2084e36eca9119e5
Author: syscrash <syscrash>
Date:   Tue May 29 05:23:10 2007 +0000

    fixing a bug with loading icon

commit 7e6bc3f23fd6d8e13df18f068a3255b9d4fff862
Author: syscrash <syscrash>
Date:   Tue May 29 04:46:01 2007 +0000

    work better with autotools?

commit adc177db78d4449244bd1c4abd139b3ce6347418
Author: syscrash <syscrash>
Date:   Tue May 29 04:27:07 2007 +0000

    maybe make automake complain less?

commit ea67e720fee1033a7039874f09832ef3b16c0b75
Author: daf <daf>
Date:   Tue May 29 02:37:58 2007 +0000

    Added initial i18n support

commit f2189236590541413faca8405c7a6136e17b8331
Author: daf <daf>
Date:   Fri May 25 14:28:42 2007 +0000

    Awks for packagers

commit 1270696e737550d3ce24b6970a422cf4fce0b0a7
Author: daf <daf>
Date:   Thu May 24 22:24:16 2007 +0000

    oops bumped gtkmm

commit 28cb3326272feb5e701383ae41632a0ae8b5daa9
Author: daf <daf>
Date:   Thu May 24 17:19:21 2007 +0000

    Updated webpage

commit 02f0e92f08273cc02698f38d474633dcd5704fdd
Author: daf <daf>
Date:   Tue May 15 10:22:34 2007 +0000

    1.0 is ready

commit 3e3137afb4974b6b1530daf1f3626aaf8563502d
Author: daf <daf>
Date:   Sat May 12 07:24:04 2007 +0000

    Added main application icons, ready for 1.0

commit 3022c329cd01edbd7dfa3400d41a87dfbf59e56e
Author: syscrash <syscrash>
Date:   Fri Apr 6 18:06:12 2007 +0000

    trying to fix icon theme problem

commit 83eaf6b382796aac54ee69d428707cddeddeb98b
Author: daf <daf>
Date:   Thu Apr 5 22:00:09 2007 +0000

    New icons, split out images

commit cabd5803e50710709b93c825529fea1330824fe8
Author: daf <daf>
Date:   Sun Dec 31 19:01:06 2006 +0000

    Proper icon support, new icons

commit 77e1b29327c5ce97d3d29839ff54d74aced9516a
Author: daf <daf>
Date:   Wed Nov 1 14:49:44 2006 +0000

    Removed some autotools cruft

commit fc3058db1331e367826fc665237811c63bdc274c
Author: daf <daf>
Date:   Fri Oct 20 14:42:15 2006 +0000

    Fixes for rc4

commit 2cdf548db56351283470e0cad285e6d04b75c21f
Author: daf <daf>
Date:   Fri Oct 20 13:10:24 2006 +0000

    Bumped ver to rc4

commit a08249dd5436ca37ec76a0afb0fa85863e39cf74
Author: daf <daf>
Date:   Tue Oct 17 13:33:44 2006 +0000

    Missed some Xinerama protection

commit c8365d49f872cad1d9ca093805fbd6301af2b7f1
Author: daf <daf>
Date:   Mon Oct 16 15:08:15 2006 +0000

    Code cleanups, utility cc/h file

commit 5f822cacbfc32f33be99a0effecd375a37b2a2cb
Author: daf <daf>
Date:   Wed Oct 11 12:31:30 2006 +0000

    Autotools foo for Xinerama

commit e0ef99d70db4b0a6aeac48795c5ca986a428b1f8
Author: daf <daf>
Date:   Fri Sep 29 06:13:26 2006 +0000

    ffs forgot to remove some printf debug

commit 0378f20030500037bdf8b7e8406fba591e536ce5
Author: daf <daf>
Date:   Fri Sep 29 06:12:44 2006 +0000

    Fixed major bug in single head display setting code

commit 3071726c2ab7b97dbf8185a34f833e30aece72c9
Author: daf <daf>
Date:   Thu Sep 28 15:05:54 2006 +0000

    Preliminary Xinerama support, full of bugs no doubt

commit 4a12f8ddc249cad20f726bf2962e974d651be716
Author: daf <daf>
Date:   Thu Sep 21 00:55:56 2006 +0000

    Fixes and additions to GNOME bg support

commit 133a4e1cb243e0e68bb95df78b2244e76c23d42c
Author: daf <daf>
Date:   Tue Sep 19 14:48:52 2006 +0000

    GNOME bg set support, removed cruft

commit 26705fd60ce93d65eea2fb8a4b9dda2e3ba9fc15
Author: daf <daf>
Date:   Sun Sep 17 07:16:15 2006 +0000

    Cleanups

commit 57652172a8d5da564c02ffe7007dc411772dfe5b
Author: daf <daf>
Date:   Sun Sep 17 07:01:02 2006 +0000

    Re-added thread for creating thumbs

commit de2583a3eaf6d69ec421cfacd5a8ae8d04ab6a98
Author: daf <daf>
Date:   Wed Sep 13 05:49:51 2006 +0000

    Merged inotify branch into trunk

commit 72e31d10f1d777f75df3be1bc22d149a50776bbb
Author: syscrash <syscrash>
Date:   Wed Aug 2 20:42:08 2006 +0000

    I had broken best fit mode in r13. Now fixed.

commit bd47b134fa89199b9b21c41f4496539129e27a46
Author: syscrash <syscrash>
Date:   Wed Aug 2 17:22:30 2006 +0000

    Added ability to set background colour for images with an alpha channel.

commit 068cd19ef1fe5c8b20b0dc6542cc34e2754ddce5
Author: daf <daf>
Date:   Sat Jul 29 18:32:56 2006 +0000

    default screen combobox is set correctly

commit edb68dc0d90ed3949d5df206923d87907ae1dec8
Author: daf <daf>
Date:   Thu Jul 27 03:02:11 2006 +0000

    split loading and creating of thumbs

commit 8e357e563cf1678dde7f97d06c97da7cf0a9a525
Author: daf <daf>
Date:   Thu Jul 27 02:26:57 2006 +0000

    removed thumbnailing thread and associated

commit ff13833145b6736cb832e9724029af94dcb8e60f
Author: syscrash <syscrash>
Date:   Mon Jul 24 15:54:16 2006 +0000

    Dave fixed pixmap leaks!

commit cbcc36f90eec398c9777960a31fbe933d066986a
Author: daf <daf>
Date:   Sun Jul 23 15:25:42 2006 +0000

    bootstrap instead of configure

commit 9015dbc1d73d0dd6a5ace38786204bf6c20856c6
Author: daf <daf>
Date:   Sun Jul 23 15:09:28 2006 +0000

    wtf i commited this yesterday

commit 48f25a52aca79aaaad8cf67258c4b5f33b1cd2f5
Author: syscrash <syscrash>
Date:   Sun Jul 2 04:43:23 2006 +0000

    Fixed a bug in best fit mode.

commit 7b4b9ed5c3eef49dbaa2e937586172ece5ccda6d
Author: daf <daf>
Date:   Wed Jun 21 03:20:23 2006 +0000

    wanky coad

commit 42341dd608b0a2a8c16e2fd2d22c750761157ac3
Author: syscrash <syscrash>
Date:   Thu Jun 8 18:44:11 2006 +0000

    Reverting previous change.

commit 260577a101f90f5840e16e00403b71c1194e0db8
Author: syscrash <syscrash>
Date:   Thu Jun 8 18:08:19 2006 +0000

    Uncommented the conversion to UTF-8.

commit 136edbdc0ecfb3bd2a7f900b09ba354743e9bfef
Author: syscrash <syscrash>
Date:   Thu Jun 8 17:24:24 2006 +0000

    Added one extra debugging message.

commit 1b049922498c10c01168241a60c33d647236d5d4
Author: syscrash <syscrash>
Date:   Thu Jun 1 16:46:07 2006 +0000

    Re-arranging some calls :/

commit 34c8b041cd287e7bf95e3d25224c293f368a69dd
Author: syscrash <syscrash>
Date:   Thu Jun 1 16:40:39 2006 +0000

    Argh.

commit f4ae936dc2ec6f61d02e7379c7c176816b1395fa
Author: syscrash <syscrash>
Date:   Thu Jun 1 16:36:35 2006 +0000

    Trying to fix another crash.

commit b999c4c17e464d3aac1dd565c968a5e535e148f5
Author: syscrash <syscrash>
Date:   Thu Jun 1 16:25:38 2006 +0000

    Fixed some crashes.

commit 24b76af3da32e818c42f91007ff9a7f04dfb8fb9
Author: syscrash <syscrash>
Date:   Sat May 6 01:07:10 2006 +0000

    I pulled a j0.
